package com.atlassian.elasticsearch.buckler;

import java.nio.charset.StandardCharsets;
import java.util.Base64;

/**
 * Basic authentication according to <a href="http://tools.ietf.org/html/rfc1945#section-11.1">RFC 1945</a>.
 */
public class BasicAuth {

    private BasicAuth() {
        // util class
    }

    /**
     * @param username the user's name
     * @param password the user's password
     * @return the credentials to be used for the "Authorization" header
     */
    public static String encodeCredentials(String username, String password) {
        String raw = username + ":" + password;
        return "Basic " + Base64.getEncoder().encodeToString(raw.getBytes(StandardCharsets.UTF_8));
    }

}
